<!-- title: Item -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/stock/doctype/item"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabItem</code></p>


A Product or a Service that is bought, sold or kept in stock.

<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr class="info">
            <td>1</td>
            <td ><code>name_and_description_section</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td>
                <pre>icon-flag</pre>
            </td>
        </tr>
        
        <tr >
            <td>2</td>
            <td ><code>naming_series</code></td>
            <td >
                Select</td>
            <td >
                Series
                
            </td>
            <td>
                <pre>ITEM-</pre>
            </td>
        </tr>
        
        <tr >
            <td>3</td>
            <td ><code>item_code</code></td>
            <td >
                Data</td>
            <td >
                Item Code
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>4</td>
            <td ><code>variant_of</code></td>
            <td >
                Link</td>
            <td >
                Variant Of
                <p class="text-muted small">
                    If item is a variant of another item then description, image, pricing, taxes etc will be set from the template unless explicitly specified</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item">Item</a>


                
            </td>
        </tr>
        
        <tr >
            <td>5</td>
            <td class="danger" title="Mandatory"><code>item_name</code></td>
            <td >
                Data</td>
            <td >
                Item Name
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>6</td>
            <td class="danger" title="Mandatory"><code>item_group</code></td>
            <td >
                Link</td>
            <td >
                Item Group
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/item_group">Item Group</a>


                
            </td>
        </tr>
        
        <tr >
            <td>7</td>
            <td class="danger" title="Mandatory"><code>stock_uom</code></td>
            <td >
                Link</td>
            <td >
                Default Unit of Measure
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/uom">UOM</a>


                
            </td>
        </tr>
        
        <tr >
            <td>8</td>
            <td ><code>column_break0</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>9</td>
            <td ><code>is_stock_item</code></td>
            <td >
                Check</td>
            <td >
                Maintain Stock
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>10</td>
            <td ><code>disabled</code></td>
            <td >
                Check</td>
            <td >
                Disabled
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>11</td>
            <td ><code>image</code></td>
            <td >
                Attach</td>
            <td >
                Image
                
            </td>
            <td>
                <pre>image</pre>
            </td>
        </tr>
        
        <tr >
            <td>12</td>
            <td ><code>image_view</code></td>
            <td >
                Image</td>
            <td >
                Image View
                
            </td>
            <td>
                <pre>image</pre>
            </td>
        </tr>
        
        <tr class="info">
            <td>13</td>
            <td ><code>section_break_11</code></td>
            <td >
                Section Break</td>
            <td >
                Description
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>14</td>
            <td ><code>brand</code></td>
            <td >
                Link</td>
            <td >
                Brand
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/brand">Brand</a>


                
            </td>
        </tr>
        
        <tr >
            <td>15</td>
            <td ><code>barcode</code></td>
            <td >
                Data</td>
            <td >
                Barcode
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>16</td>
            <td class="danger" title="Mandatory"><code>description</code></td>
            <td >
                Text Editor</td>
            <td >
                Description
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>17</td>
            <td ><code>inventory</code></td>
            <td >
                Section Break</td>
            <td >
                Inventory
                
            </td>
            <td>
                <pre>icon-truck</pre>
            </td>
        </tr>
        
        <tr >
            <td>18</td>
            <td ><code>default_warehouse</code></td>
            <td >
                Link</td>
            <td >
                Default Warehouse
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/warehouse">Warehouse</a>


                
            </td>
        </tr>
        
        <tr >
            <td>19</td>
            <td ><code>end_of_life</code></td>
            <td >
                Date</td>
            <td >
                End of Life
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>20</td>
            <td ><code>has_batch_no</code></td>
            <td >
                Check</td>
            <td >
                Has Batch No
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>21</td>
            <td ><code>has_serial_no</code></td>
            <td >
                Check</td>
            <td >
                Has Serial No
                <p class="text-muted small">
                    Selecting "Yes" will give a unique identity to each entity of this item which can be viewed in the Serial No master.</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>22</td>
            <td ><code>serial_no_series</code></td>
            <td >
                Data</td>
            <td >
                Serial Number Series
                <p class="text-muted small">
                    Example: ABCD.#####
If series is set and Serial No is not mentioned in transactions, then automatic serial number will be created based on this series. If you always want to explicitly mention Serial Nos for this item. leave this blank.</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>23</td>
            <td ><code>is_asset_item</code></td>
            <td >
                Check</td>
            <td >
                Is Fixed Asset Item
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>24</td>
            <td ><code>column_break1</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>25</td>
            <td ><code>tolerance</code></td>
            <td >
                Float</td>
            <td >
                Allow over delivery or receipt upto this percent
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>26</td>
            <td ><code>valuation_method</code></td>
            <td >
                Select</td>
            <td >
                Valuation Method
                
            </td>
            <td>
                <pre>
FIFO
Moving Average</pre>
            </td>
        </tr>
        
        <tr >
            <td>27</td>
            <td ><code>warranty_period</code></td>
            <td >
                Data</td>
            <td >
                Warranty Period (in days)
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>28</td>
            <td ><code>net_weight</code></td>
            <td >
                Float</td>
            <td >
                Net Weight
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>29</td>
            <td ><code>weight_uom</code></td>
            <td >
                Link</td>
            <td >
                Weight UOM
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/uom">UOM</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>30</td>
            <td ><code>reorder_section</code></td>
            <td >
                Section Break</td>
            <td >
                Auto re-order
                
            </td>
            <td>
                <pre>icon-rss</pre>
            </td>
        </tr>
        
        <tr >
            <td>31</td>
            <td ><code>re_order_level</code></td>
            <td >
                Float</td>
            <td >
                Re-order Level
                <p class="text-muted small">
                    Automatically create Material Request if quantity falls below this level</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>32</td>
            <td ><code>re_order_qty</code></td>
            <td >
                Float</td>
            <td >
                Re-order Qty
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>33</td>
            <td ><code>apply_warehouse_wise_reorder_level</code></td>
            <td >
                Check</td>
            <td >
                Apply Warehouse-wise Reorder Level
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>34</td>
            <td ><code>section_break_31</code></td>
            <td >
                Section Break</td>
            <td >
                Reorder level based on Warehouse
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>35</td>
            <td ><code>reorder_levels</code></td>
            <td >
                Table</td>
            <td >
                Reorder level based on Warehouse
                <p class="text-muted small">
                    Will also apply for variants unless overrridden</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_reorder">Item Reorder</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>36</td>
            <td ><code>variants_section</code></td>
            <td >
                Section Break</td>
            <td >
                Variants
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>37</td>
            <td ><code>has_variants</code></td>
            <td >
                Check</td>
            <td >
                Has Variants
                <p class="text-muted small">
                    If this item has variants, then it cannot be selected in sales orders etc.</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>38</td>
            <td ><code>attributes</code></td>
            <td >
                Table</td>
            <td class="text-muted" title="Hidden">
                Attributes
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_variant_attribute">Item Variant Attribute</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>39</td>
            <td ><code>purchase_details</code></td>
            <td >
                Section Break</td>
            <td >
                Purchase Details
                
            </td>
            <td>
                <pre>icon-shopping-cart</pre>
            </td>
        </tr>
        
        <tr >
            <td>40</td>
            <td ><code>is_purchase_item</code></td>
            <td >
                Check</td>
            <td >
                Is Purchase Item
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>41</td>
            <td ><code>min_order_qty</code></td>
            <td >
                Float</td>
            <td >
                Minimum Order Qty
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>42</td>
            <td ><code>lead_time_days</code></td>
            <td >
                Int</td>
            <td >
                Lead Time in days
                <p class="text-muted small">
                    Average time taken by the supplier to deliver</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>43</td>
            <td ><code>buying_cost_center</code></td>
            <td >
                Link</td>
            <td >
                Default Buying Cost Center
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/cost_center">Cost Center</a>


                
            </td>
        </tr>
        
        <tr >
            <td>44</td>
            <td ><code>expense_account</code></td>
            <td >
                Link</td>
            <td >
                Default Expense Account
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/account">Account</a>


                
            </td>
        </tr>
        
        <tr >
            <td>45</td>
            <td ><code>unit_of_measure_conversion</code></td>
            <td class="info">
                Column Break</td>
            <td >
                Unit of Measure Conversion
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>46</td>
            <td ><code>uoms</code></td>
            <td >
                Table</td>
            <td >
                UOMs
                <p class="text-muted small">
                    Will also apply for variants</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/uom_conversion_detail">UOM Conversion Detail</a>


                
            </td>
        </tr>
        
        <tr >
            <td>47</td>
            <td ><code>last_purchase_rate</code></td>
            <td >
                Float</td>
            <td >
                Last Purchase Rate
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>48</td>
            <td ><code>supplier_details</code></td>
            <td >
                Section Break</td>
            <td >
                Supplier Details
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>49</td>
            <td ><code>default_supplier</code></td>
            <td >
                Link</td>
            <td >
                Default Supplier
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/buying/supplier">Supplier</a>


                
            </td>
        </tr>
        
        <tr >
            <td>50</td>
            <td ><code>delivered_by_supplier</code></td>
            <td >
                Check</td>
            <td >
                Delivered by Supplier (Drop Ship)
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>51</td>
            <td ><code>manufacturer</code></td>
            <td >
                Data</td>
            <td >
                Manufacturer
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>52</td>
            <td ><code>manufacturer_part_no</code></td>
            <td >
                Data</td>
            <td >
                Manufacturer Part Number
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>53</td>
            <td ><code>column_break2</code></td>
            <td class="info">
                Column Break</td>
            <td >
                Item Code for Suppliers
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>54</td>
            <td ><code>supplier_items</code></td>
            <td >
                Table</td>
            <td >
                Supplier Items
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_supplier">Item Supplier</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>55</td>
            <td ><code>sales_details</code></td>
            <td >
                Section Break</td>
            <td >
                Sales Details
                
            </td>
            <td>
                <pre>icon-tag</pre>
            </td>
        </tr>
        
        <tr >
            <td>56</td>
            <td ><code>is_sales_item</code></td>
            <td >
                Check</td>
            <td >
                Is Sales Item
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>57</td>
            <td ><code>is_service_item</code></td>
            <td >
                Check</td>
            <td >
                Is Service Item
                <p class="text-muted small">
                    Allow in Sales Order of type "Service"</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>58</td>
            <td ><code>publish_in_hub</code></td>
            <td >
                Check</td>
            <td class="text-muted" title="Hidden">
                Publish in Hub
                <p class="text-muted small">
                    Publish Item to hub.erpnext.com</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>59</td>
            <td ><code>synced_with_hub</code></td>
            <td >
                Check</td>
            <td class="text-muted" title="Hidden">
                Synced With Hub
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>60</td>
            <td ><code>income_account</code></td>
            <td >
                Link</td>
            <td >
                Default Income Account
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/account">Account</a>


                
            </td>
        </tr>
        
        <tr >
            <td>61</td>
            <td ><code>selling_cost_center</code></td>
            <td >
                Link</td>
            <td >
                Default Selling Cost Center
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/cost_center">Cost Center</a>


                
            </td>
        </tr>
        
        <tr >
            <td>62</td>
            <td ><code>column_break3</code></td>
            <td class="info">
                Column Break</td>
            <td >
                Customer Item Codes
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>63</td>
            <td ><code>customer_items</code></td>
            <td >
                Table</td>
            <td >
                Customer Items
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_customer_detail">Item Customer Detail</a>


                
            </td>
        </tr>
        
        <tr >
            <td>64</td>
            <td ><code>max_discount</code></td>
            <td >
                Float</td>
            <td >
                Max Discount (%)
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>65</td>
            <td ><code>item_tax_section_break</code></td>
            <td >
                Section Break</td>
            <td >
                Item Tax
                
            </td>
            <td>
                <pre>icon-money</pre>
            </td>
        </tr>
        
        <tr >
            <td>66</td>
            <td ><code>taxes</code></td>
            <td >
                Table</td>
            <td >
                Taxes
                <p class="text-muted small">
                    Will also apply for variants</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_tax">Item Tax</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>67</td>
            <td ><code>inspection_criteria</code></td>
            <td >
                Section Break</td>
            <td >
                Inspection Criteria
                
            </td>
            <td>
                <pre>icon-search</pre>
            </td>
        </tr>
        
        <tr >
            <td>68</td>
            <td ><code>inspection_required</code></td>
            <td >
                Check</td>
            <td >
                Inspection Required
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>69</td>
            <td ><code>quality_parameters</code></td>
            <td >
                Table</td>
            <td >
                Quality Parameters
                <p class="text-muted small">
                    Will also apply to variants</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_quality_inspection_parameter">Item Quality Inspection Parameter</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>70</td>
            <td ><code>manufacturing</code></td>
            <td >
                Section Break</td>
            <td >
                Manufacturing
                
            </td>
            <td>
                <pre>icon-cogs</pre>
            </td>
        </tr>
        
        <tr >
            <td>71</td>
            <td ><code>is_pro_applicable</code></td>
            <td >
                Check</td>
            <td >
                Allow Production Order
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>72</td>
            <td ><code>is_sub_contracted_item</code></td>
            <td >
                Check</td>
            <td >
                Supply Raw Materials for Purchase
                <p class="text-muted small">
                    If subcontracted to a vendor</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>73</td>
            <td ><code>column_break_74</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>74</td>
            <td ><code>default_bom</code></td>
            <td >
                Link</td>
            <td >
                Default BOM
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/bom">BOM</a>


                
            </td>
        </tr>
        
        <tr >
            <td>75</td>
            <td ><code>customer_code</code></td>
            <td >
                Data</td>
            <td class="text-muted" title="Hidden">
                Customer Code
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>76</td>
            <td ><code>website_section</code></td>
            <td >
                Section Break</td>
            <td >
                Website
                
            </td>
            <td>
                <pre>icon-globe</pre>
            </td>
        </tr>
        
        <tr >
            <td>77</td>
            <td ><code>show_in_website</code></td>
            <td >
                Check</td>
            <td >
                Show in Website
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>78</td>
            <td ><code>page_name</code></td>
            <td >
                Data</td>
            <td >
                Page Name
                <p class="text-muted small">
                    website page link</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>79</td>
            <td ><code>weightage</code></td>
            <td >
                Int</td>
            <td >
                Weightage
                <p class="text-muted small">
                    Items with higher weightage will be shown higher</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>80</td>
            <td ><code>slideshow</code></td>
            <td >
                Link</td>
            <td >
                Slideshow
                <p class="text-muted small">
                    Show a slideshow at the top of the page</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/website/website_slideshow">Website Slideshow</a>


                
            </td>
        </tr>
        
        <tr >
            <td>81</td>
            <td ><code>website_image</code></td>
            <td >
                Attach</td>
            <td >
                Image
                <p class="text-muted small">
                    Item Image (if not slideshow)</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>82</td>
            <td ><code>thumbnail</code></td>
            <td >
                Data</td>
            <td >
                Thumbnail
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>83</td>
            <td ><code>cb72</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>84</td>
            <td ><code>website_warehouse</code></td>
            <td >
                Link</td>
            <td >
                Website Warehouse
                <p class="text-muted small">
                    Show "In Stock" or "Not in Stock" based on stock available in this warehouse.</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/warehouse">Warehouse</a>


                
            </td>
        </tr>
        
        <tr >
            <td>85</td>
            <td ><code>website_item_groups</code></td>
            <td >
                Table</td>
            <td >
                Website Item Groups
                <p class="text-muted small">
                    List this Item in multiple groups on the website.</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/website_item_group">Website Item Group</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>86</td>
            <td ><code>sb72</code></td>
            <td >
                Section Break</td>
            <td >
                Website Specifications
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>87</td>
            <td ><code>copy_from_item_group</code></td>
            <td >
                Button</td>
            <td >
                Copy From Item Group
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>88</td>
            <td ><code>website_specifications</code></td>
            <td >
                Table</td>
            <td >
                Website Specifications
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/item_website_specification">Item Website Specification</a>


                
            </td>
        </tr>
        
        <tr >
            <td>89</td>
            <td ><code>web_long_description</code></td>
            <td >
                Text Editor</td>
            <td >
                Website Description
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>90</td>
            <td ><code>parent_website_route</code></td>
            <td >
                Read Only</td>
            <td >
                Parent Website Route
                
            </td>
            <td></td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.stock.doctype.item.item</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>Item</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.website.website_generator.WebsiteGenerator</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="add_default_uom_in_conversion_factor_table" href="#add_default_uom_in_conversion_factor_table" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>add_default_uom_in_conversion_factor_table</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="after_rename" href="#after_rename" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>after_rename</b>
        <i class="text-muted">(self, olddn, newdn, merge)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="autoname" href="#autoname" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>autoname</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="before_insert" href="#before_insert" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>before_insert</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="before_rename" href="#before_rename" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>before_rename</b>
        <i class="text-muted">(self, olddn, newdn, merge=False)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="cant_change" href="#cant_change" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>cant_change</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_for_active_boms" href="#check_for_active_boms" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_for_active_boms</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_if_sle_exists" href="#check_if_sle_exists" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_if_sle_exists</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_item_tax" href="#check_item_tax" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_item_tax</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Check whether Tax Rate is not entered twice for same Tax Type</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="check_warehouse_is_set_for_stock_item" href="#check_warehouse_is_set_for_stock_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>check_warehouse_is_set_for_stock_item</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="copy_specification_from_item_group" href="#copy_specification_from_item_group" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>copy_specification_from_item_group</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="fill_customer_code" href="#fill_customer_code" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>fill_customer_code</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Append all the customer codes and insert into "customer_code" field of item table </p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_context" href="#get_context" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_context</b>
        <i class="text-muted">(self, context)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="make_thumbnail" href="#make_thumbnail" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>make_thumbnail</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Make a thumbnail of <code>website_image</code></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="on_trash" href="#on_trash" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>on_trash</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="on_update" href="#on_update" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>on_update</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="onload" href="#onload" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>onload</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="recalculate_bin_qty" href="#recalculate_bin_qty" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>recalculate_bin_qty</b>
        <i class="text-muted">(self, newdn)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="set_attribute_context" href="#set_attribute_context" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>set_attribute_context</b>
        <i class="text-muted">(self, context)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="set_disabled_attributes" href="#set_disabled_attributes" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>set_disabled_attributes</b>
        <i class="text-muted">(self, context)</i>
    </p>
	<div class="docs-attr-desc"><p>Disable selection options of attribute combinations that do not result in a variant</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="set_last_purchase_rate" href="#set_last_purchase_rate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>set_last_purchase_rate</b>
        <i class="text-muted">(self, newdn)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="set_variant_context" href="#set_variant_context" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>set_variant_context</b>
        <i class="text-muted">(self, context)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_item_desc" href="#update_item_desc" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_item_desc</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_item_price" href="#update_item_price" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_item_price</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_template_item" href="#update_template_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_template_item</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Set Show in Website for Template Item if True for its Variant</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_template_tables" href="#update_template_tables" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_template_tables</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_variants" href="#update_variants" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_variants</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_attributes" href="#validate_attributes" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_attributes</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_barcode" href="#validate_barcode" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_barcode</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_conversion_factor" href="#validate_conversion_factor" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_conversion_factor</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_has_variants" href="#validate_has_variants" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_has_variants</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_item_type" href="#validate_item_type" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_item_type</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_name_with_item_group" href="#validate_name_with_item_group" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_name_with_item_group</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_reorder_level" href="#validate_reorder_level" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_reorder_level</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_uom" href="#validate_uom" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_uom</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_variant_attributes" href="#validate_variant_attributes" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_variant_attributes</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_warehouse_for_reorder" href="#validate_warehouse_for_reorder" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_warehouse_for_reorder</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
    </div>
    <hr>

	

	
        
	<h3 style="font-weight: normal;">Class <b>WarehouseNotSet</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.exceptions.ValidationError</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
    </div>
    <hr>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item._msgprint" href="#erpnext.stock.doctype.item.item._msgprint" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>_msgprint</b>
        <i class="text-muted">(msg, verbose)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item.check_stock_uom_with_bin" href="#erpnext.stock.doctype.item.item.check_stock_uom_with_bin" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>check_stock_uom_with_bin</b>
        <i class="text-muted">(item, stock_uom)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item.get_last_purchase_details" href="#erpnext.stock.doctype.item.item.get_last_purchase_details" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>get_last_purchase_details</b>
        <i class="text-muted">(item_code, doc_name=None, conversion_rate=1.0)</i>
    </p>
	<div class="docs-attr-desc"><p>returns last purchase details in stock uom</p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item.invalidate_cache_for_item" href="#erpnext.stock.doctype.item.item.invalidate_cache_for_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>invalidate_cache_for_item</b>
        <i class="text-muted">(doc)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item.validate_cancelled_item" href="#erpnext.stock.doctype.item.item.validate_cancelled_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>validate_cancelled_item</b>
        <i class="text-muted">(item_code, docstatus=None, verbose=1)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item.validate_end_of_life" href="#erpnext.stock.doctype.item.item.validate_end_of_life" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>validate_end_of_life</b>
        <i class="text-muted">(item_code, end_of_life=None, disabled=None, verbose=1)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.item.item.validate_is_stock_item" href="#erpnext.stock.doctype.item.item.validate_is_stock_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.item.item.<b>validate_is_stock_item</b>
        <i class="text-muted">(item_code, is_stock_item=None, verbose=1)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	


    
    
        <h4>Linked In:</h4>
        <ul>
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/batch">Batch</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/bin">Bin</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/bom">BOM</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/bom_explosion_item">BOM Explosion Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/bom_item">BOM Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/delivery_note_item">Delivery Note Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/installation_note_item">Installation Note Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/item">Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/item_price">Item Price</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/landed_cost_item">Landed Cost Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/support/maintenance_schedule_detail">Maintenance Schedule Detail</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/support/maintenance_schedule_item">Maintenance Schedule Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/support/maintenance_visit_purpose">Maintenance Visit Purpose</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/material_request_item">Material Request Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/crm/opportunity_item">Opportunity Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/packed_item">Packed Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/packing_slip_item">Packing Slip Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/accounts/pricing_rule">Pricing Rule</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/product_bundle">Product Bundle</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/product_bundle_item">Product Bundle Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/production_order">Production Order</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/production_plan_item">Production Plan Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/manufacturing/production_planning_tool">Production Planning Tool</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/accounts/purchase_invoice_item">Purchase Invoice Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/buying/purchase_order_item">Purchase Order Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/purchase_receipt_item">Purchase Receipt Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/buying/quality_inspection">Quality Inspection</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/quotation_item">Quotation Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/accounts/sales_invoice_item">Sales Invoice Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/selling/sales_order_item">Sales Order Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/serial_no">Serial No</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/stock_entry_detail">Stock Entry Detail</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/stock_ledger_entry">Stock Ledger Entry</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/stock_reconciliation_item">Stock Reconciliation Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/buying/supplier_quotation_item">Supplier Quotation Item</a>

</li>
			
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/support/warranty_claim">Warranty Claim</a>

</li>
			
        
        </ul>
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->