<!-- title: Packing Slip -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/stock/doctype/packing_slip"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabPacking Slip</code></p>


Generate packing slips for packages to be delivered. Used to notify package number, package contents and its weight.

<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr class="info">
            <td>1</td>
            <td ><code>packing_slip_details</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>2</td>
            <td ><code>column_break0</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>3</td>
            <td class="danger" title="Mandatory"><code>delivery_note</code></td>
            <td >
                Link</td>
            <td >
                Delivery Note
                <p class="text-muted small">
                    Indicates that the package is a part of this delivery (Only Draft)</p>
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/delivery_note">Delivery Note</a>


                
            </td>
        </tr>
        
        <tr >
            <td>4</td>
            <td ><code>column_break1</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>5</td>
            <td class="danger" title="Mandatory"><code>naming_series</code></td>
            <td >
                Select</td>
            <td >
                Series
                
            </td>
            <td>
                <pre>PS-</pre>
            </td>
        </tr>
        
        <tr class="info">
            <td>6</td>
            <td ><code>section_break0</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>7</td>
            <td ><code>column_break2</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>8</td>
            <td class="danger" title="Mandatory"><code>from_case_no</code></td>
            <td >
                Data</td>
            <td >
                From Package No.
                <p class="text-muted small">
                    Identification of the package for the delivery (for print)</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>9</td>
            <td ><code>column_break3</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>10</td>
            <td ><code>to_case_no</code></td>
            <td >
                Data</td>
            <td >
                To Package No.
                <p class="text-muted small">
                    If more than one package of the same type (for print)</p>
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>11</td>
            <td ><code>package_item_details</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>12</td>
            <td ><code>get_items</code></td>
            <td >
                Button</td>
            <td >
                Get Items
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>13</td>
            <td ><code>items</code></td>
            <td >
                Table</td>
            <td >
                Items
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/packing_slip_item">Packing Slip Item</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>14</td>
            <td ><code>package_weight_details</code></td>
            <td >
                Section Break</td>
            <td >
                Package Weight Details
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>15</td>
            <td ><code>net_weight_pkg</code></td>
            <td >
                Float</td>
            <td >
                Net Weight
                <p class="text-muted small">
                    The net weight of this package. (calculated automatically as sum of net weight of items)</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>16</td>
            <td ><code>net_weight_uom</code></td>
            <td >
                Link</td>
            <td >
                Net Weight UOM
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/uom">UOM</a>


                
            </td>
        </tr>
        
        <tr >
            <td>17</td>
            <td ><code>column_break4</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>18</td>
            <td ><code>gross_weight_pkg</code></td>
            <td >
                Float</td>
            <td >
                Gross Weight
                <p class="text-muted small">
                    The gross weight of the package. Usually net weight + packaging material weight. (for print)</p>
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>19</td>
            <td ><code>gross_weight_uom</code></td>
            <td >
                Link</td>
            <td >
                Gross Weight UOM
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/uom">UOM</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>20</td>
            <td ><code>letter_head_details</code></td>
            <td >
                Section Break</td>
            <td >
                Letter Head
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>21</td>
            <td ><code>letter_head</code></td>
            <td >
                Link</td>
            <td >
                Letter Head
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/print/letter_head">Letter Head</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>22</td>
            <td ><code>misc_details</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>23</td>
            <td ><code>amended_from</code></td>
            <td >
                Link</td>
            <td >
                Amended From
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/packing_slip">Packing Slip</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.stock.doctype.packing_slip.packing_slip</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>PackingSlip</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.model.document.Document</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="get_details_for_packing" href="#get_details_for_packing" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_details_for_packing</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Returns
* 'Delivery Note Items' query result as a list of dict
* Item Quantity dict of current packing slip doc
* No. of Cases of this packing slip</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_items" href="#get_items" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_items</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_recommended_case_no" href="#get_recommended_case_no" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_recommended_case_no</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Returns the next case no. for a new packing slip for a delivery
note</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="recommend_new_qty" href="#recommend_new_qty" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>recommend_new_qty</b>
        <i class="text-muted">(self, item, ps_item_qty, no_of_cases)</i>
    </p>
	<div class="docs-attr-desc"><p>Recommend a new quantity and raise a validation exception</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_item_details" href="#update_item_details" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_item_details</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Fill empty columns in Packing Slip Item</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><ul>
<li>Validate existence of submitted Delivery Note</li>
<li>Case nos do not overlap</li>
<li>Check if packed qty doesn't exceed actual qty of delivery note</li>
</ul>

<p>It is necessary to validate case nos before checking quantity</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_case_nos" href="#validate_case_nos" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_case_nos</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Validate if case nos overlap. If they do, recommend next case no.</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_delivery_note" href="#validate_delivery_note" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_delivery_note</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Validates if delivery note has status as draft</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_items_mandatory" href="#validate_items_mandatory" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_items_mandatory</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_qty" href="#validate_qty" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_qty</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Check packed qty across packing slips and delivery note</p>
</div>
	<br>

        
    </div>
    <hr>

	

	
        
    
    
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.packing_slip.packing_slip.item_details" href="#erpnext.stock.doctype.packing_slip.packing_slip.item_details" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.packing_slip.packing_slip.<b>item_details</b>
        <i class="text-muted">(doctype, txt, searchfield, start, page_len, filters)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	


    
    
        <h4>Linked In:</h4>
        <ul>
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/packing_slip">Packing Slip</a>

</li>
			
        
        </ul>
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->