<!-- title: Stock Reconciliation -->





<div class="dev-header">

<a class="btn btn-default btn-sm" disabled style="margin-bottom: 10px;">
	Version 6.x.x</a>


	<a class="btn btn-default btn-sm" href="https://github.com/frappe/erpnext/tree/develop/erpnext/stock/doctype/stock_reconciliation"
		target="_blank" style="margin-left: 10px; margin-bottom: 10px;"><i class="octicon octicon-mark-github"></i> Source</a>

</div>





    <p><b>Table Name:</b> <code>tabStock Reconciliation</code></p>


This tool helps you to update or fix the quantity and valuation of stock in the system. It is typically used to synchronise the system values and what actually exists in your warehouses.

<h3>Fields</h3>

<table class="table table-bordered" style="table-layout: fixed;">
    <thead>
        <tr>
            <th style="width: 5%">Sr</th>
            <th style="width: 25%">Fieldname</th>
            <th style="width: 20%">Type</th>
            <th style="width: 25%">Label</th>
            <th style="width: 25%">Options</th>
        </tr>
    </thead>
    <tbody>
        
        <tr >
            <td>1</td>
            <td class="danger" title="Mandatory"><code>posting_date</code></td>
            <td >
                Date</td>
            <td >
                Posting Date
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>2</td>
            <td class="danger" title="Mandatory"><code>posting_time</code></td>
            <td >
                Time</td>
            <td >
                Posting Time
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>3</td>
            <td ><code>col1</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>4</td>
            <td ><code>amended_from</code></td>
            <td >
                Link</td>
            <td >
                Amended From
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/stock_reconciliation">Stock Reconciliation</a>


                
            </td>
        </tr>
        
        <tr >
            <td>5</td>
            <td class="danger" title="Mandatory"><code>company</code></td>
            <td >
                Link</td>
            <td >
                Company
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/setup/company">Company</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>6</td>
            <td ><code>sb9</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>7</td>
            <td class="danger" title="Mandatory"><code>items</code></td>
            <td >
                Table</td>
            <td >
                Items
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/stock/stock_reconciliation_item">Stock Reconciliation Item</a>


                
            </td>
        </tr>
        
        <tr class="info">
            <td>8</td>
            <td ><code>section_break_9</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>9</td>
            <td ><code>expense_account</code></td>
            <td >
                Link</td>
            <td >
                Difference Account
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/account">Account</a>


                
            </td>
        </tr>
        
        <tr >
            <td>10</td>
            <td ><code>cost_center</code></td>
            <td >
                Link</td>
            <td >
                Cost Center
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/cost_center">Cost Center</a>


                
            </td>
        </tr>
        
        <tr >
            <td>11</td>
            <td ><code>reconciliation_json</code></td>
            <td >
                Long Text</td>
            <td class="text-muted" title="Hidden">
                Reconciliation JSON
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>12</td>
            <td ><code>column_break_13</code></td>
            <td class="info">
                Column Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>13</td>
            <td ><code>difference_amount</code></td>
            <td >
                Currency</td>
            <td >
                Difference Amount
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>14</td>
            <td ><code>fold_15</code></td>
            <td >
                Fold</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr class="info">
            <td>15</td>
            <td ><code>section_break_16</code></td>
            <td >
                Section Break</td>
            <td >
                
                
            </td>
            <td></td>
        </tr>
        
        <tr >
            <td>16</td>
            <td class="danger" title="Mandatory"><code>fiscal_year</code></td>
            <td >
                Link</td>
            <td >
                Fiscal Year
                
            </td>
            <td>
                
                


<a href="https://frappe.github.io/erpnext/current/models/accounts/fiscal_year">Fiscal Year</a>


                
            </td>
        </tr>
        
    </tbody>
</table>


    <hr>
    <h3>Controller</h3>
    <h4>erpnext.stock.doctype.stock_reconciliation.stock_reconciliation</h4>

    



	
        
	<h3 style="font-weight: normal;">Class <b>EmptyStockReconciliationItemsError</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.exceptions.ValidationError</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
    </div>
    <hr>

	

	
        
	<h3 style="font-weight: normal;">Class <b>OpeningEntryAccountError</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from frappe.exceptions.ValidationError</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
    </div>
    <hr>

	

	
        
	<h3 style="font-weight: normal;">Class <b>StockReconciliation</b></h3>
    
    <p style="padding-left: 30px;"><i>Inherits from erpnext.controllers.stock_controller.StockController</i></h4>
    
    <div class="docs-attr-desc"><p></p>
</div>
    <div style="padding-left: 30px;">
        
        
    
    
	<p class="docs-attr-name">
        <a name="__init__" href="#__init__" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>__init__</b>
        <i class="text-muted">(self, arg1, arg2=None)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="delete_and_repost_sle" href="#delete_and_repost_sle" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>delete_and_repost_sle</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><pre><code>Delete Stock Ledger Entries related to this voucher
</code></pre>

<p>and repost future Stock Ledger Entries</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_gl_entries" href="#get_gl_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_gl_entries</b>
        <i class="text-muted">(self, warehouse_account=None)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="get_items_for" href="#get_items_for" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>get_items_for</b>
        <i class="text-muted">(self, warehouse)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="insert_entries" href="#insert_entries" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>insert_entries</b>
        <i class="text-muted">(self, row)</i>
    </p>
	<div class="docs-attr-desc"><p>Insert Stock Ledger Entries</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="on_cancel" href="#on_cancel" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>on_cancel</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="on_submit" href="#on_submit" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>on_submit</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="remove_items_with_no_change" href="#remove_items_with_no_change" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>remove_items_with_no_change</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p>Remove items if qty or rate is not changed</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="update_stock_ledger" href="#update_stock_ledger" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>update_stock_ledger</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><pre><code>find difference between current and expected entries
</code></pre>

<p>and create stock ledger entries based on the difference</p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate" href="#validate" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_data" href="#validate_data" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_data</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_expense_account" href="#validate_expense_account" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_expense_account</b>
        <i class="text-muted">(self)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
        
    
    
	<p class="docs-attr-name">
        <a name="validate_item" href="#validate_item" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		<b>validate_item</b>
        <i class="text-muted">(self, item_code, row_num)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

        
    </div>
    <hr>

	

	
        
    
    <p><span class="label label-info">Public API</span>
        <br><code>/api/method/erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.get_items</code>
    </p>
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.get_items" href="#erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.get_items" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.<b>get_items</b>
        <i class="text-muted">(warehouse, posting_date, posting_time)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	

	
        
    
    <p><span class="label label-info">Public API</span>
        <br><code>/api/method/erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.get_stock_balance_for</code>
    </p>
	<p class="docs-attr-name">
        <a name="erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.get_stock_balance_for" href="#erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.get_stock_balance_for" class="text-muted small">
            <i class="icon-link small" style="color: #ccc;"></i></a>
		erpnext.stock.doctype.stock_reconciliation.stock_reconciliation.<b>get_stock_balance_for</b>
        <i class="text-muted">(item_code, warehouse, posting_date, posting_time)</i>
    </p>
	<div class="docs-attr-desc"><p><span class="text-muted">No docs</span></p>
</div>
	<br>

	


    
    
        <h4>Linked In:</h4>
        <ul>
        
			
            <li>


<a href="https://frappe.github.io/erpnext/current/models/stock/stock_reconciliation">Stock Reconciliation</a>

</li>
			
        
        </ul>
    


<!-- autodoc -->
<!-- jinja -->
<!-- static -->